# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "html5-picture"
version = "0.0.4-alpha"
authors = ["Lewin Probst <info@emirror.de>, Michael Flau <michael@flau.net>"]
description = "Batch optimizes your images to wepb. Generates html5 picture tags."
homepage = "https://docs.rs/html5-picture"
documentation = "https://docs.rs/html5-picture"
readme = "README.md"
keywords = ["html5", "picture", "convert", "wepb"]
categories = ["command-line-utilities", "compression", "multimedia::images", "web-programming"]
license = "MIT"
repository = "https://github.com/emirror-de/html5-picture"

[[bin]]
name = "html5-picture"
[dependencies.clap]
version = "^3.0.0-beta.2"

[dependencies.fs_extra]
version = "^1.2.0"

[dependencies.futures]
version = "^0.3.12"

[dependencies.image]
version = "^0.23.13"

[dependencies.indicatif]
version = "0.15.0"

[dependencies.libmath]
version = "^0.2.1"

[dependencies.log]
version = "^0.4.14"

[dependencies.pathdiff]
version = "^0.2.0"

[dependencies.pretty_env_logger]
version = "^0.4.0"

[dependencies.queue]
version = "^0.3.1"

[dependencies.tokio]
version = "1"
features = ["full"]

[dependencies.walkdir]
version = "^2"

[dependencies.webp]
version = "0.1"
